GET api/cleanroomapi/cleanroomsbycustomer/{customerId}?active={active}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
customerId

globally unique identifier

Required

active

boolean

None.

Body Parameters

None.

Response Information

Resource Description

Collection of CleanRoomViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

cleanroom_type_id

globally unique identifier

Required

communication_server_id

globally unique identifier

Required

id

globally unique identifier

None.

local_id

integer

Range: inclusive between 0 and ∞

local_name

string

None.

name

string

Required

type_of_temperature

string

Required

Response Formats

application/json, text/json

Sample:
[
  {
    "active": true,
    "cleanroom_type_id": "23f39ebf-653c-4be6-9804-1ed20ab87bd9",
    "communication_server_id": "8dd5986f-0d8e-4c5a-a0f0-3c9afa13c0ec",
    "id": "27bd70d7-1041-4b5a-8854-fc95cddbc2a8",
    "local_id": 1,
    "local_name": "sample string 3",
    "name": "sample string 4",
    "type_of_temperature": "sample string 5"
  },
  {
    "active": true,
    "cleanroom_type_id": "23f39ebf-653c-4be6-9804-1ed20ab87bd9",
    "communication_server_id": "8dd5986f-0d8e-4c5a-a0f0-3c9afa13c0ec",
    "id": "27bd70d7-1041-4b5a-8854-fc95cddbc2a8",
    "local_id": 1,
    "local_name": "sample string 3",
    "name": "sample string 4",
    "type_of_temperature": "sample string 5"
  }
]

application/xml, text/xml

Sample:
<ArrayOfcleanroom xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <cleanroom>
    <active>true</active>
    <cleanroom_type_id>23f39ebf-653c-4be6-9804-1ed20ab87bd9</cleanroom_type_id>
    <communication_server_id>8dd5986f-0d8e-4c5a-a0f0-3c9afa13c0ec</communication_server_id>
    <id>27bd70d7-1041-4b5a-8854-fc95cddbc2a8</id>
    <local_id>1</local_id>
    <local_name>sample string 3</local_name>
    <name>sample string 4</name>
    <type_of_temperature>sample string 5</type_of_temperature>
  </cleanroom>
  <cleanroom>
    <active>true</active>
    <cleanroom_type_id>23f39ebf-653c-4be6-9804-1ed20ab87bd9</cleanroom_type_id>
    <communication_server_id>8dd5986f-0d8e-4c5a-a0f0-3c9afa13c0ec</communication_server_id>
    <id>27bd70d7-1041-4b5a-8854-fc95cddbc2a8</id>
    <local_id>1</local_id>
    <local_name>sample string 3</local_name>
    <name>sample string 4</name>
    <type_of_temperature>sample string 5</type_of_temperature>
  </cleanroom>
</ArrayOfcleanroom>